Class | WSDL::Port
In: | wsdl/port.rb
Parent: | Info

### Methods

find_binding inputoperation_map new outputoperation_map parse_attr parse_element porttype targetnamespace

### Attributes

binding | [R] |
name | [R] |
soap_address | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/port.rb, line 20
      def initialize
        super
        @name = nil
        @binding = nil
        @soap_address = nil
      end

### Public Instance methods

find_binding()

[Source]

    # File wsdl/port.rb, line 35
      def find_binding
        root.binding(@binding) or raise RuntimeError.new("#{@binding} not found")
      end

inputoperation_map()

[Source]

    # File wsdl/port.rb, line 39
      def inputoperation_map
        result = {}
        find_binding.operations.each do |op_bind|
          op_info = op_bind.soapoperation.input_info
          result[op_info.op_name] = op_info
        end
        result
      end

outputoperation_map()

[Source]

    # File wsdl/port.rb, line 48
      def outputoperation_map
        result = {}
        find_binding.operations.each do |op_bind|
          op_info = op_bind.soapoperation.output_info
          result[op_info.op_name] = op_info
        end
        result
      end

parse_attr(attr, value)

[Source]

    # File wsdl/port.rb, line 71
      def parse_attr(attr, value)
        case attr
        when NameAttrName
          @name = XSD::QName.new(targetnamespace, value.source)
        when BindingAttrName
          @binding = value
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/port.rb, line 57
      def parse_element(element)
        case element
        when SOAPAddressName
          o = WSDL::SOAP::Address.new
          @soap_address = o
          o
        when DocumentationName
          o = Documentation.new
          o
        else
          nil
        end
      end

porttype()

[Source]

    # File wsdl/port.rb, line 31
      def porttype
        root.porttype(find_binding.type)
      end

targetnamespace()

[Source]

    # File wsdl/port.rb, line 27
      def targetnamespace
        parent.targetnamespace
      end

[Validate]